Name:           puppet-cernbox
Version:        2.2
Release:        2%{?dist}
Summary:        Masterless puppet module for cernbox client

Group:          CERN/Utilities
License:        BSD
URL:            http://linux.cern.ch
Source0:        %{name}-%{version}.tgz

BuildArch:      noarch

Requires:       puppet-agent

%description
Masterless puppet module for cernbox

%prep
%setup -q

%build
CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
install -d %{buildroot}/%{_datadir}/puppet/modules/cernbox/
cp -ra code/* %{buildroot}/%{_datadir}/puppet/modules/cernbox/
touch %{buildroot}/%{_datadir}/puppet/modules/cernbox/linuxsupport

%files -n puppet-cernbox
%{_datadir}/puppet/modules/cernbox
%doc code/README.md

%changelog
* Tue Feb 23 2021 Ben Morrice <ben.morrice@cern.ch> - 2.2-2
- fix requires on puppet-agent

* Tue Jan 05 2021 Ben Morrice <ben.morrice@cern.ch> - 2.2-1
- release for el8

* Thu Jan 09 2020 Ben Morrice <ben.morrice@cern.ch> - 2.1-1
- Add additional el8 support

* Thu Jan 09 2020 Ben Morrice <ben.morrice@cern.ch> - 2.0-2
- Rebuild for el8
 
* Thu May 03 2018 Thomas Oulevey <thomas.oulevey@cern.ch> - 2.0-1
- Rebuild for 7.5 release

* Tue Nov 29 2016 Thomas Oulevey <thomas.oulevey@cern.ch> - 0.2-1
- Rebuild for 7.3 release

* Tue Jul 26 2016 Aris Boutselis <aris.boutselis@cern.ch>
- Initial Release
- Install cernbox client
